/*body {*/
/*    font-family: "Shadows Into Light", cursive;*/
/*    font-weight: 200;*/
/*    font-style: normal;*/
/*    font-size: 14px;*/
/*    src: url('/staticfiles/fonts/ShadowsIntoLight-Regular.ttf');*/
/*}*/

.ccssTab {
    height: 40px;
    line-height: 40px;
    width: 90px;
    border: 1px #EFEFEF solid;
    margin: 1px;
    text-align: center;
    vertical-align: middle;
    float: left;
}

.ccssTab:hover {
    border-color: pink;
}

.ccssTabActive {
    border-color: greenyellow;
    background: green;
}


.ccssTabWP {
    background: #B474B3;
}

.tabRow {
    height: 50px;
}

.tabWrapper {
    height: 60px;
    width: 500px;
    overflow-x:auto;
    overflow-y:hidden;
}

.tabContainer{
    width:2000px;
}


.winWrapper {
    height: 44px;
    width: 500px;
    overflow-x:auto;
    overflow-y:hidden;
}

.winContainer{
    width:2000px;
}

.tabContent {
    vertical-align: top;
}

.tabCloseButton {
    position: relative;
    left: 66px;
    bottom: 40px;
    padding: 0;
    margin: 0;
    width: 24px;
    height: 24px;
    background: url("/staticfiles/gfx/buttonClose.png");
}

.ccssMinimizedWin {
    height: 40px;
    line-height: 40px;
    width: 40px;
    border: 1px red solid;
    margin: 1px;
    text-align: center;
    vertical-align: middle;
    float: left;
    border-radius: 5px;
}

.ccssPersona {
    height: 180px;
    width: 150px;
    margin: 2px;
    text-align: center;
    vertical-align: top;
    border:1px #000000 solid;
    border-radius: 5px;
    overflow: hidden;
    float:left;
}
.ccssLoginElement {
    height: 350px;
    width: 200px;
    margin: 2px;
    text-align: center;
    vertical-align: top;
    border:1px #000000 solid;
    border-radius: 5px;
    overflow: hidden;
    float:left;
}

.ccssMSFileFolder {
    height: 180px;
    width: 150px;
    margin: 2px;
    text-align: center;
    vertical-align: middle;
    border:1px #007fff solid;
    border-radius: 5px;
    overflow: hidden;
    background: #ffffff;
    position: relative;
}

.ccssMSFileFolder span {
    position: absolute;
    top: 2px;
    right: 2px;
}

.ccssMSUploadPreview {
    height: 80px;
    width: 80px;
    max-height: 80px;
    max-width: 80px;
    margin: 2px;
    border:1px #000000 solid;
    border-radius: 5px;
    overflow: hidden;
    background: #ffffff;
}

.ccssMSUploadPreviewOkay {
    border:2px #00FF00 solid;
}

.ccssMSUploadPreviewRejected {
    border:2px #FF0000 solid;
}

.ccssWPIcon {
    height: 60px;
    width: 80px;
    margin: 0px;
    text-align: center;
    vertical-align: middle;
    border:1px #007fff solid;
    border-radius: 5px;
    overflow: hidden;
}

.chatInput {
    height: 1.75em;
    max-height: 1.75em;
    border:1px black solid;
    border-radius: 5px;
    line-height: 1.75em;
    vertical-align: middle;
    padding-left: 4px;
}

.chatEmojiInput {
    vertical-align:middle;
    width:20px;
    height:20px;
}

.chatMsgMe {
    margin: 10px 25px 0px 0px;
    padding: 5px;
    border: #000000 solid 1px;
    border-radius: 5px;
    background: #B474B3;
    max-width:700px;
    overflow-x:hidden;
    vertical-align: middle;
}

.chatMsgOthers {
    margin: 10px 0px 0px 25px;
    padding: 5px;
    border: #000000 solid 1px;
    border-radius: 5px;
    background: #f1a899;
    max-width:700px;
    overflow-x:hidden;
}

.editorDefaultCol {
    background: #cfcfcf;
    border: 1px #FF0000 solid;
    border-radius: 5px;
    text-align: left;
    padding: 2px;
}

.editorLastChanged {
    background: #cfcfcf;
    border: 1px #FF0000 solid;
    border-radius: 5px;
    text-align: right;
    padding: 2px;
}

.editorFoot {
    background: #afafaf;
    border: 1px #FF0000 solid;
    border-radius: 5px;
    text-align: center;
    padding: 2px;
}

.editorV2 {
    text-align: center;
    float: left;
    width: 175px;
    height: 175px;
    border: 1px #000000 solid;
    border-radius: 5px;
    margin: 5px;
    padding: 2px;
}

.editorV2RawTextarea {
    width:100%;
    font-family:monospace !important;
    overflow-y:hidden;
    overflow-x:scroll;
    resize:none;
    word-wrap:normal;
    white-space:nowrap;
}

.container {
    display: flex;
    border: 1px solid rgb(203 213 225);
    padding: 0px;
    margin: 0px;
}
.container__textarea {
    border: none;
}
.container__lines {
    border-right: 1px solid rgb(203 213 225);
    font-family:monospace !important;
}

.rightBool {
    background-color: #ffaaff;
    display:inline-block;
    border: 1px solid black;
    border-radius: 5px;
    padding: 2px;
    min-height: 25px;
    line-height: 25px;
    vertical-align: middle;
}
.rightInt {
    background-color: #aaffaa;
    display:inline-block;
    border: 1px solid black;
    border-radius: 5px;
    padding: 2px;
    min-height: 25px;
    line-height: 25px;
    vertical-align: middle;
}

.tagify {
    flex-wrap: nowrap;
    overflow-x: auto;
    width: 100%;
    scrollbar-width: thin;
    border-radius: 5px;
}

.tagify__BOOL {
    background: #aaffaa;
}
.tagify__INT {
    background: #ffaaff;
}
.tagify__PERSONA {
    background: 	#FCF55F;
}


.accordionEditorV2 {
    padding: 0.25em 0.55em !important;
}

.sortableUlEditorV2 {
    padding-left: 0 !important;;
    list-style: inside decimal !important;
}

.sortableLiEditorV2 {
    padding: 2px !important;
    border: 1px #000000 solid;
    border-radius: 5px;
}
.listActive {
    background: #aaaaff;
}

@font-face {
    font-family: 'Veteran Typewriter';
    src: url('/client/fonts/VeteranTypewriter.eot');
    src: url('/client/fonts/VeteranTypewriter.eot?#iefix') format('embedded-opentype'),
    url('/client/fonts/VeteranTypewriter.woff2') format('woff2'),
    url('/client/fonts/VeteranTypewriter.woff') format('woff'),
    url('/client/fonts/VeteranTypewriter.ttf') format('truetype'),
    url('/client/fonts/VeteranTypewriter.svg#VeteranTypewriter') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'OpenDyslexic';
    src: url('/client/fonts/OpenDyslexic-Regular.eot');
    src: url('/client/fonts/OpenDyslexic-Regular.eot?#iefix') format('embedded-opentype'),
    url('/client/fonts/OpenDyslexic-Regular.woff2') format('woff2'),
    url('/client/fonts/OpenDyslexic-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

.context-menu-item.context-menu-icon-msOpen {
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E%3Cg fill='none' stroke='%23000' stroke-width='1.5'%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='M11.5 20H10c-3.771 0-5.657 0-6.828-1.172S2 15.771 2 12s0-5.657 1.172-6.828S6.229 4 10 4h4c3.771 0 5.657 0 6.828 1.172C21.947 6.29 21.998 8.06 22 11.5'/%3E%3Cpath d='M20.5 14h-5a1.5 1.5 0 0 0-1.5 1.5v3a1.5 1.5 0 0 0 1.5 1.5h5a1.5 1.5 0 0 0 1.5-1.5v-3a1.5 1.5 0 0 0-1.5-1.5Z'/%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='M6.004 11.501v-2.5c-.048-.574.396-1.024 1-1h2.5m1.5 5l-4-4'/%3E%3C/g%3E%3C/svg%3E");
    background-position-x: 2px;
    background-repeat: no-repeat;
}

.context-menu-item.context-menu-icon-msOpenWindow {
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E%3Cg fill='none' stroke='%23000' stroke-width='1.5'%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='M11.5 20H10c-3.771 0-5.657 0-6.828-1.172S2 15.771 2 12s0-5.657 1.172-6.828S6.229 4 10 4h4c3.771 0 5.657 0 6.828 1.172C21.947 6.29 21.998 8.06 22 11.5'/%3E%3Cpath d='M20.5 14h-5a1.5 1.5 0 0 0-1.5 1.5v3a1.5 1.5 0 0 0 1.5 1.5h5a1.5 1.5 0 0 0 1.5-1.5v-3a1.5 1.5 0 0 0-1.5-1.5Z'/%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='M11 9.5V12c.047.574-.397 1.024-1 1H7.5M6 8l4 4'/%3E%3C/g%3E%3C/svg%3E");
    background-position-x: 2px;
    background-repeat: no-repeat;
}



.context-menu-item.context-menu-icon-msDelete {
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath fill='none' stroke='%23000' stroke-linecap='round' stroke-width='1.5' d='m19.5 5.5l-.62 10.025c-.158 2.561-.237 3.842-.88 4.763a4 4 0 0 1-1.2 1.128c-.957.584-2.24.584-4.806.584c-2.57 0-3.855 0-4.814-.585a4 4 0 0 1-1.2-1.13c-.642-.922-.72-2.205-.874-4.77L4.5 5.5M3 5.5h18m-4.944 0l-.683-1.408c-.453-.936-.68-1.403-1.071-1.695a2 2 0 0 0-.275-.172C13.594 2 13.074 2 12.035 2c-1.066 0-1.599 0-2.04.234a2 2 0 0 0-.278.18c-.395.303-.616.788-1.058 1.757L8.053 5.5'/%3E%3C/svg%3E");
    background-position-x: 2px;
    background-repeat: no-repeat;
}


.context-menu-item.context-menu-icon-msProperties {
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath fill='none' stroke='%23000' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.5' d='M3 12c0-4.243 0-6.364 1.318-7.682S7.758 3 12 3s6.364 0 7.682 1.318S21 7.758 21 12s0 6.364-1.318 7.682S16.242 21 12 21s-6.364 0-7.682-1.318S3 16.242 3 12m.5-4h17M12 16.5h5m-10 0h1m4-4h5m-10 0h1'/%3E%3C/svg%3E");
    background-position-x: 2px;
    background-repeat: no-repeat;
}

.context-menu-item.context-menu-hover {
    background-color: #FFaaaa;
}

.libraryPDocument {
    border: 1px solid gray;
    border-radius: 5px;
    margin: 5px;
    width: 200px;
    height: 300px;
    display: inline-block;
    background-repeat:no-repeat;
    background-position: center center;
    background-size: contain;
}